Skip to content
Get started

Download table data

$ deeptable structured-sheets:tables download
GET/v1/structured-sheets/{structured_sheet_id}/tables/{table_id}/download

Download the table data in the specified format.

Available formats:

  • parquet: Apache Parquet columnar format (recommended for data analysis)
  • csv: Comma-separated values (compatible with any spreadsheet application)
ParametersExpand Collapse
--structured-sheet-id: string

Path param: The unique identifier of the structured sheet conversion.

--table-id: string

Path param: The unique identifier of the table.

--format: "parquet" or "csv"

Query param: The format to download the table data in.

ReturnsExpand Collapse
unnamed_schema_2: file path

Download table data

deeptable structured-sheets:tables download \
  --api-key 'My API Key' \
  --structured-sheet-id ss_01kfxgjd94fn9stqm42nejb627 \
  --table-id tbl_01kfxgjd94fn9stqm45rqr2pnz \
  --format parquet
Returns Examples